Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"1dae23ee-8956-497c-8619-fd4439689078","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["f0ada498-196a-4187-9857-33474f82f4f5"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"0271964d-45fa-4648-b960-f4c0b9620960","url":null,"userId":"41490982-2ae2-4cd3-bbf9-3f3264d083ce","userUrl":null,"categoryId":"1c9de051-8d8e-4cb2-b33c-24a833bd792b","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-10-09T22:31:29.0224949+00:00","lastModifiedDateTime":"2026-10-10T18:31:29.0224949+00:00","availableFrom":"2026-10-10T22:31:29","startDateTimeZone":null,"availableUntil":"2026-10-11T22:31:29","endDateTimeZone":null,"medias":[{"id":"a9ae7a5d-1619-4c35-bf4b-6e937ce83482","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"69a8c86f-7d1d-4857-85df-51cdd693a003","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"dddc7493-9577-41de-8758-4403fae43c05","url":null},{"type":"Department","name":"Department name example","id":"2858560f-df61-45ed-b71c-2222b6d3df91","url":null},{"type":"User group","name":"User group name example","id":"df8ea60d-f9c7-4b6b-9ae7-08bea81aace2","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"f52b0c3a-a6f5-49e4-b778-6cd5f4544aaf"}],"userGroups":[{"url":null,"name":"User group name example","id":"b15bc1dd-52a7-49c0-89c2-4b54d14ae7bf"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string